Skip to main content
POST
/
api
/
teams
/
{id}
/
invitations
Create invitation
curl --request POST \
  --url https://api-next.dealroom.co/api/teams/{id}/invitations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invited_email": "newjoiner@example.com",
  "role": "member"
}
'
{
  "data": {
    "id": 123,
    "team_id": 123,
    "invited_email": "<string>",
    "invited_user_id": "<string>",
    "invited_by": "<string>",
    "role": "<string>",
    "status": "<string>",
    "token": "<string>",
    "created_at": "<string>",
    "expires_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.beta.dealroom.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Auth0 JWT access token. Paste a token obtained from your preferred OAuth2 flow. For machine-to-machine use, the OAuth2 client_credentials scheme below can mint a token directly from your client_id / client_secret inside the Swagger UI Authorize dialog.

Path Parameters

id
string
required

Team ID

Pattern: ^\d+$
Example:

"1"

Body

application/json
invited_email
string<email>

Email of the person to invite

Example:

"user@example.com"

invited_user_id
string

User ID to invite directly

Minimum string length: 1
Example:

"auth0|abc123"

role
enum<string>
default:member

Role to assign on acceptance

Available options:
admin,
member
Example:

"member"

Response

Invitation created

data
object
required